extends: esnext/style-guide

rules:
  jsx-quotes: 2
  react/jsx-closing-bracket-location:
    - 2
    - line-aligned
  react/jsx-curly-spacing:
    - 2
    - always
  react/jsx-equals-spacing: 2
  react/jsx-first-prop-new-line:
    - 2
    - multiline
  react/jsx-indent:
    - 2
    - tab
  react/jsx-indent-props:
    - 2
    - tab
  react/jsx-max-props-per-line:
    - 2
    - maximum: 2
  react/jsx-sort-props:
    - 2
    - shorthandFirst: true
      callbacksLast: true
  react/jsx-space-before-closing: 2
  react/self-closing-comp: 2
  react/sort-comp: 2
  react/sort-prop-types:
    - 2
    - callbacksLast: true
      requiredFirst: true
